找回密码
 注册
查看: 32209|回复: 71

BitStorm 0.2p Lite released

[复制链接]
发表于 2005-11-20 21:50:45 | 显示全部楼层 |阅读模式

0.2p彻底修正了无法完整下载>4GB文件的问题
http://sourceforge.net/projects/bbom/


0.2n修正了下载大于4GB文件时最后一块数据有可能无法正常下载的问题
http://sourceforge.net/projects/bbom/


0.2k没有代码上的改动,只是在源代码文件中加入GPL2声明,为进入Ubuntu和Debian官方软件仓库做的正规化改进
另外没有0.2j版,因为j和i不易区分
http://sourceforge.net/projects/bbom/

0.2i修正了0.2h不能发起连接的bug
http://sourceforge.net/projects/bbom/

0.2h修正了无法正确下载大于4GB文件的bug,界面有改进
优化了连接策略
强烈建议更新
http://sourceforge.net/projects/bbom/

0.2g修正了peerID不唯一的bug,此bug可能会导致和旧的BT客户端无法建立P2P连接
http://sourceforge.net/projects/bbom/

0.2f修正了无法在64位OS上无法下载的bug
http://sourceforge.net/projects/bbom/


0.2e修正了一个bug,此bug会导致下载速度下降,长时间可能降为0kbps
http://sourceforge.net/projects/bbom/

0.2d主要是修正了上传策略,提高了下载速度

http://sourceforge.net/projects/bbom/

0.2c修正了如下bug
1)无法打开无效utf-8编码文件名的torrent文件,已经修正
2)和某些TP-Link型号路由器进行UPnpNat操作时会导致cpu占用100%,已经修正
3)不能下载超过2G的文件,已经修正


0.2b加入上传/下载速度限制功能
0.2a增加Torrent字符集编码选择,使用非UTF-8编码的Torrent文件时不会出现乱码啦
0.2版新增多文件选择下载功能,可单独下载某些文件,支持compact模式的Tracker

BitStorm 0.2 Lite主要特性如下
1)基于C++和GTK2,占用系统资源少
2)可调整大小的磁盘缓存,极大的减轻磁盘负担
3)支持多Tracker,支持UDP Tracker,支持compact模式HTTP Tracker
4)UPnp NAT功能,自动进行端口映射(默认监听端口为7681~7689)
5)支持多文件选择性下载,可单独下载某些文件
6)支持UTF-8编码的Torrent文件,文件名不会出现乱码
7)可设置上传/下载速度

[ 本帖最后由 gxcooo 于 2007-12-1 15:37 编辑 ]
发表于 2005-11-21 10:20:59 | 显示全部楼层
这个版本dht协议搞定了吗?
回复 支持 反对

使用道具 举报

 楼主| 发表于 2005-11-21 11:34:28 | 显示全部楼层
to dukeduan:
没有 , 太忙了
回复 支持 反对

使用道具 举报

发表于 2005-11-21 12:15:27 | 显示全部楼层
//comfort
正事为主,正事为主。
回复 支持 反对

使用道具 举报

发表于 2005-11-21 12:21:42 | 显示全部楼层
请问这个客户端支持内网互连吗?我在内网,其他Linux下的bt软件都不能用
回复 支持 反对

使用道具 举报

发表于 2005-12-6 17:40:53 | 显示全部楼层
比azureus好吗?
回复 支持 反对

使用道具 举报

发表于 2005-12-6 23:43:12 | 显示全部楼层
没说的,顶就一个。
回复 支持 反对

使用道具 举报

发表于 2005-12-7 12:48:20 | 显示全部楼层
越做越好了。支持。
回复 支持 反对

使用道具 举报

发表于 2005-12-7 18:36:27 | 显示全部楼层
建议斑竹将5q算法板块编译成.o文件放在压缩包内,不知可不可以
回复 支持 反对

使用道具 举报

发表于 2005-12-7 21:47:06 | 显示全部楼层
在freebsd下能用吗?
回复 支持 反对

使用道具 举报

 楼主| 发表于 2005-12-7 21:54:48 | 显示全部楼层
to fyfw:
http://bbs.chinaunix.net/viewthread.php?tid=657160&extra=&page=2
回复 支持 反对

使用道具 举报

发表于 2005-12-8 20:31:19 | 显示全部楼层
GOOD....越来越好用了。。。。
回复 支持 反对

使用道具 举报

发表于 2005-12-11 12:20:40 | 显示全部楼层
期待dht协议开发出来。现在内网速度还是很慢。
回复 支持 反对

使用道具 举报

发表于 2005-12-12 20:52:28 | 显示全部楼层
checking for GTK... Requested 'gtk+-2.0 >= 2.6.0' but version of GTK+ is 2.4.0
configure: error: Package requirements (gtk+-2.0 >= 2.6.0) were not met.
Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively you may set the GTK_CFLAGS and GTK_LIBS environment variables
to avoid the need to call pkg-config.  See the pkg-config man page for
more details.

我得是红旗4.1
回复 支持 反对

使用道具 举报

发表于 2005-12-16 16:53:32 | 显示全部楼层
requirements (gtk+-2.0 >= 2.6.0)
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 注册

本版积分规则

GMT+8, 2022-8-19 16:05 , Processed in 0.164184 second(s), 16 queries .

© 2021 Powered by Discuz! X3.4.

快速回复 返回顶部 返回列表